# FixingSplitscreen
#### By iDeathHD

A mod that that fixes most issues with the current implementation of the Splitscreen Mode. And also allow to have one monitor for each player !

Also allow to have multiple screen monitors active ! Read below under the Console Commands section.

The issues were :

- Post Processing Effects were only enabled for only one of the players. ( Still happens when playing as 3 :( )

- Monsters health bars were only properly displaying for one of the players. Entirely fixed.

- Only one of the players was having the profile loaded, everyone right now can have its profile loaded if made, if not, temporary profiles will be made based of the only one you have.

### Future Features ?

- Config File for specifying what profile to load for each player.

- ??? @iDeathHD in the RoR2 Modding Discord.

### Console commands

- `fixedsplitscreen` Logs in the specified number of users, or two by default.

Usage : `fixedsplitscreen {1, 2, 3, 4}` / `fixedsplitscreen`.

Exemple Usage : `fixedsplitscreen 3` Or just `fixedsplitscreen`

- `fixedsplitscreen_nokeyboard` Logs in the specified number of users, or two by default. Disables keyboard input.

Usage : `fixedsplitscreen_nokeyboard {1, 2, 3, 4}` / `fixedsplitscreen_nokeyboard`.

Exemple Usage : `fixedsplitscreen_nokeyboard 3` . Or just `fixedsplitscreen_nokeyboard`

- If for some reason, your controllers doesn't work. you can add `alter` in the console command, it'll try to use an alternative mode.

Example Usage : `fixedsplitscreen <number of players> alter` or `fixedsplitscreen_nokeyboard <number of players> alter`

Multi Monitor support, its disabled by default, you can enable/disable it by using the `fs_monitor <number of monitors to use>` command or by checking the config file in the configs/ folder !

- `fs_swap` Swap 2 players profiles with each others.

The main use case is when the controller/profile ordering doesnt please you, you can use the fs_swap command to fix that.

Exemple Usage : `fs_swap 1 2` / This will swap player 1 and 2 profile.

### Installation Guide

- Copy `FixedSplitscreen` folder to your BepInEx plugins folder.

### Special Thanks

- Moffein for the initial implementation.

### Changelog

`1.4.3` - Tentative fix for number of displays > 2

`1.4.2` - Update for the game Anniversary Update.

`1.4.1` - Actual fix for a bug where all characters were unlocked by default in the character selection screen.

`1.4.0` - Fix a bug where the death post processing effect would be enabled on cameras other than the intended one. Bandaid fix for command artifact being used with 2 players kb + mouse and second one using gamepad, gamepads will have to drag the cursor manually until a real fix is found. Fix a bug where all characters were unlocked by default in the character selection screen.

`1.3.1` - Fix console spam because of the latest update

`1.3.0` - Update for the 1.0 Game Update.

`1.2.0` - Fix an incompatibility issue with Sniper. Fix Command Artifact Item Selector making the whole screen blur, even for the other local players.

`1.1.0` - Multi Monitor now support different resolutions across monitors with different native resolutions. `fs_swap` command added, more info above. Fix menu buttons not working for controllers (even Command Artifact !). Fix settings not saving properly for local players in the lobby, now it get saved properly for each player to their respective profile.

`1.0.0` - Multi Monitor support, its disabled by default, you can enable/disable it by using the `fs_monitor <number of monitors to use>` command or by checking the config file in the configs/ folder !

`0.1.0` - Fix if number of user profiles was inferior compared to the wanted number of players. A temporary profile will be made from the one you already have if so, otherwise all loaded profiles will be used.

`0.0.4` - Restored cursor navigation system for gamepads as a temporary solution until I fully grasp the UI system.

`0.0.3` - Added an alternative mode if your controllers aren't working still for some reason. Example usage `fixedsplitscreen <number of players> alter` or `fixedsplitscreen_nokeyboard <number of players> alter`

`0.0.2` - Hopefully fixed issues were PS controllers weren't working properly.

`0.0.1` - Initial release of the mod.